"""Revamp TaskV2 and TaskGroupV2

Revision ID: 742b74e1cc6e
Revises: df7cc3501bf7
Create Date: 2024-10-07 16:56:37.399878

"""
import sqlalchemy as sa
import sqlmodel
from alembic import op


# revision identifiers, used by Alembic.
revision = "742b74e1cc6e"
down_revision = "df7cc3501bf7"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("taskgroupv2", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column(
                "origin", sqlmodel.sql.sqltypes.AutoString(), nullable=False
            )
        )
        batch_op.add_column(
            sa.Column(
                "pkg_name", sqlmodel.sql.sqltypes.AutoString(), nullable=False
            )
        )
        batch_op.add_column(
            sa.Column(
                "version", sqlmodel.sql.sqltypes.AutoString(), nullable=True
            )
        )
        batch_op.add_column(
            sa.Column(
                "python_version",
                sqlmodel.sql.sqltypes.AutoString(),
                nullable=True,
            )
        )
        batch_op.add_column(
            sa.Column(
                "path", sqlmodel.sql.sqltypes.AutoString(), nullable=True
            )
        )
        batch_op.add_column(
            sa.Column(
                "venv_path", sqlmodel.sql.sqltypes.AutoString(), nullable=True
            )
        )
        batch_op.add_column(
            sa.Column(
                "pip_extras", sqlmodel.sql.sqltypes.AutoString(), nullable=True
            )
        )

    with op.batch_alter_table("taskv2", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column(
                "category", sqlmodel.sql.sqltypes.AutoString(), nullable=True
            )
        )
        batch_op.add_column(
            sa.Column(
                "modality", sqlmodel.sql.sqltypes.AutoString(), nullable=True
            )
        )
        batch_op.add_column(
            sa.Column(
                "authors", sqlmodel.sql.sqltypes.AutoString(), nullable=True
            )
        )
        batch_op.add_column(
            sa.Column("tags", sa.JSON(), server_default="[]", nullable=False)
        )

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("taskv2", schema=None) as batch_op:
        batch_op.drop_column("tags")
        batch_op.drop_column("authors")
        batch_op.drop_column("modality")
        batch_op.drop_column("category")

    with op.batch_alter_table("taskgroupv2", schema=None) as batch_op:
        batch_op.drop_column("pip_extras")
        batch_op.drop_column("venv_path")
        batch_op.drop_column("path")
        batch_op.drop_column("python_version")
        batch_op.drop_column("version")
        batch_op.drop_column("pkg_name")
        batch_op.drop_column("origin")

    # ### end Alembic commands ###
