"""task group v2

Revision ID: 7cf1baae8fb4
Revises: da2cb2ac4255
Create Date: 2024-10-01 12:31:46.792037

"""
import sqlalchemy as sa
from alembic import op


# revision identifiers, used by Alembic.
revision = "7cf1baae8fb4"
down_revision = "da2cb2ac4255"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "taskgroupv2",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("user_id", sa.Integer(), nullable=False),
        sa.Column("user_group_id", sa.Integer(), nullable=True),
        sa.Column("active", sa.Boolean(), nullable=False),
        sa.Column(
            "timestamp_created", sa.DateTime(timezone=True), nullable=False
        ),
        sa.ForeignKeyConstraint(
            ["user_group_id"],
            ["usergroup.id"],
            name=op.f("fk_taskgroupv2_user_group_id_usergroup"),
        ),
        sa.ForeignKeyConstraint(
            ["user_id"],
            ["user_oauth.id"],
            name=op.f("fk_taskgroupv2_user_id_user_oauth"),
        ),
        sa.PrimaryKeyConstraint("id", name=op.f("pk_taskgroupv2")),
    )
    with op.batch_alter_table("taskv2", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column("taskgroupv2_id", sa.Integer(), nullable=True)
        )
        batch_op.create_foreign_key(
            batch_op.f("fk_taskv2_taskgroupv2_id_taskgroupv2"),
            "taskgroupv2",
            ["taskgroupv2_id"],
            ["id"],
        )

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("taskv2", schema=None) as batch_op:
        batch_op.drop_constraint(
            batch_op.f("fk_taskv2_taskgroupv2_id_taskgroupv2"),
            type_="foreignkey",
        )
        batch_op.drop_column("taskgroupv2_id")

    op.drop_table("taskgroupv2")
    # ### end Alembic commands ###
