"""LinkUserGroup.timestamp_created

Revision ID: df7cc3501bf7
Revises: 7cf1baae8fb4
Create Date: 2024-10-03 13:55:53.272269

"""
from datetime import datetime
from datetime import timezone

import sqlalchemy as sa
from alembic import op


# revision identifiers, used by Alembic.
revision = "df7cc3501bf7"
down_revision = "7cf1baae8fb4"
branch_labels = None
depends_on = None


def upgrade() -> None:
    with op.batch_alter_table("linkusergroup", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column(
                "timestamp_created",
                sa.DateTime(timezone=True),
                nullable=False,
                server_default=str(datetime(2000, 1, 1, tzinfo=timezone.utc)),
            )
        )

    with op.batch_alter_table("project", schema=None) as batch_op:
        batch_op.alter_column("timestamp_created", server_default=None)


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("linkusergroup", schema=None) as batch_op:
        batch_op.drop_column("timestamp_created")

    # ### end Alembic commands ###
